Error
A valid request URL is required to generate request examples{
"resourceAllocations": [
{
"sysidUserGroupAllocation": 12345,
"sysidResourceGroup": 12345,
"sysidAllocationRelationshipType": 12345
},
{
"sysidUserGroupAllocation": 12345,
"sysidResourceGroup": 12345,
"sysidAllocationRelationshipType": 12345
}
],
"internalGroup": true,
"groupMembers": [
{
"sysidUserGroupMember": 12345,
"sysidApplicationUser": 12345
},
{
"sysidUserGroupMember": 12345,
"sysidApplicationUser": 12345
}
],
"name": "...",
"sysidUserGroup": 12345,
"description": "..."
}UserGroupService
Get usergroups 1
Retrieves the User Group identified by the sysidUserGroup path parameter value.
The requesting User must have the following rights to perform this task:
Note: The user must either be the SystemAdmin, or the user’s HomeAccount must be the ForumOwner.
This operation requires a Numeric User Group SYSID value passed as the path parameter for the operation.
This operation returns a User Group value.
GET
/
usergroups
/
{sysidUserGroup}
Error
A valid request URL is required to generate request examples{
"resourceAllocations": [
{
"sysidUserGroupAllocation": 12345,
"sysidResourceGroup": 12345,
"sysidAllocationRelationshipType": 12345
},
{
"sysidUserGroupAllocation": 12345,
"sysidResourceGroup": 12345,
"sysidAllocationRelationshipType": 12345
}
],
"internalGroup": true,
"groupMembers": [
{
"sysidUserGroupMember": 12345,
"sysidApplicationUser": 12345
},
{
"sysidUserGroupMember": 12345,
"sysidApplicationUser": 12345
}
],
"name": "...",
"sysidUserGroup": 12345,
"description": "..."
}Path Parameters
: Int sysid of the User Group to retrieve.
Response
200 - application/json
The User Group identified by the sysidUserGroup path parameter value, or NotFoundException if no such User Group exists.
com.agilquest.phoenix.shared.data.user.UserGroup

